package com.yonge.cooleshow.biz.dal.dto;

import com.yonge.cooleshow.biz.dal.entity.ImNetworkRoom;
import com.yonge.cooleshow.biz.dal.entity.ImNetworkRoomMember;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

public class ImNetworkRoomResult extends ImNetworkRoom {

    @ApiModelProperty(value = "陪练课结束后，XX分钟关闭房间")
    private String autoCloseNetworkRoomTime = "15";

    @ApiModelProperty(value = "当前课程剩余时长")
    private Integer surplusTime;

    @ApiModelProperty(value = "房间成员列表，包含当前用户;")
    private List<ImNetworkRoomMember> roomMemberList;

    @ApiModelProperty(value = "当前用户")
    private ImNetworkRoomMember roomMember;

    @ApiModelProperty(value = "节拍器参数")
    private ImNetworkCustomMessage midiJson = new ImNetworkCustomMessage();

    public ImNetworkCustomMessage getMidiJson() {
        return midiJson;
    }

    public void setMidiJson(ImNetworkCustomMessage midiJson) {
        this.midiJson = midiJson;
    }

    public Integer getSurplusTime() {
        return surplusTime;
    }

    public void setSurplusTime(Integer surplusTime) {
        this.surplusTime = surplusTime;
    }

    public String getAutoCloseNetworkRoomTime() {
        return autoCloseNetworkRoomTime;
    }

    public void setAutoCloseNetworkRoomTime(String autoCloseNetworkRoomTime) {
        this.autoCloseNetworkRoomTime = autoCloseNetworkRoomTime;
    }

    public List<ImNetworkRoomMember> getRoomMemberList() {
        return roomMemberList;
    }

    public void setRoomMemberList(List<ImNetworkRoomMember> roomMemberList) {
        this.roomMemberList = roomMemberList;
    }

    public ImNetworkRoomMember getRoomMember() {
        return roomMember;
    }

    public void setRoomMember(ImNetworkRoomMember roomMember) {
        this.roomMember = roomMember;
    }
}
